#include <QApplication>
#include <QtGui>
#include <QtWidgets>
//#include <QGLWidget>

class MyView : public QGraphicsView
{
    Q_OBJECT

public:
    explicit MyView(QGraphicsScene* scene, QWidget* parent = 0) :
        QGraphicsView(scene, parent),
        count(0)
    {
        //
    }

protected:
    virtual void drawForeground (QPainter* painter, const QRectF& rect)
    {
        painter->drawText(rect, QString("#%1").arg(++count));
    }

private:
    int count;
};

#include "main.moc"

int main(int argc, char ** argv)
{
    QApplication app(argc, argv);

    QGraphicsScene* scene = new QGraphicsScene;
    scene->addItem(new QGraphicsEllipseItem(10, 10, 100, 100));
    MyView* view = new MyView(scene);
    // NB: issue occurs only with QOpenGLWidget ; commenting the
    // next line or using a QGLWidget will solve the issue
    view->setViewport(new QOpenGLWidget);
    //view->setViewport(new QGLWidget);

    QWidget widget;
    widget.setLayout(new QVBoxLayout());
    widget.layout()->addWidget(view);
    widget.layout()->addWidget(new QPushButton("Test"));
    widget.show();

    return app.exec();
}
